Package de.willuhn.jameica.hbci.io

# Class Banking4UmsatzTypImporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO
de.willuhn.jameica.hbci.io.Banking4UmsatzTypImporter

All Implemented Interfaces:
  `Importer`, `IO`

public class Banking4UmsatzTypImporter extends AbstractBanking4UmsatzTypIO implements Importer
Importer fuer Umsatzkategorien im Banking4-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO

`i18n, SEP, settings`

## Constructor Summary

Constructors
Constructor
Description
`Banking4UmsatzTypImporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t)`
Importiert Daten aus dem InputStream.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO

`getIOFormats, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getIOFormats, getName`

## Constructor Details

### Banking4UmsatzTypImporter

public Banking4UmsatzTypImporter()

## Method Details

### doImport

public void doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Importer`
Importiert Daten aus dem InputStream.

Specified by:
  `doImport` in interface `Importer`
Parameters:
  `context` - Context, der dem Importer hilft, den Zusammenhang zu erkennen, in dem er aufgerufen wurde. Das kann zum Beispiel ein Konto sein.
  `format` - das vom User ausgewaehlte Import-Format.
  `is` - der Stream, aus dem die Daten gelesen werden.
  `monitor` - ein Monitor, an den der Importer Ausgaben ueber seinen Bearbeitungszustand ausgeben kann. Der Importer muss den Import-Stream selbst schliessen!
  `t` - der `BackgroundTask`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Importer.doImport(java.lang.Object, de.willuhn.jameica.hbci.io.IOFormat, java.io.InputStream, de.willuhn.util.ProgressMonitor, de.willuhn.jameica.system.BackgroundTask)`